building-memoOrganizations

The organizations endpoint gives access to the organizations in the CRM.

Good to know:

  • An organization must always contain a title

Create an organization

post

Creates a new organization with email, phone numbers, and metadata.

Authorizations
Body

Represents an organization in the CRM with name, contact details, tags, and related people.

descriptionstring · nullableOptional
titlestring · nullableRequired
websitestring · nullableOptional
customerIdstring · nullableOptional
externalSourcestring · nullableOptional
chamberOfCommerceNumberstring · nullableOptional
linkedinIdstring · nullableOptional
linkedinPublicIdentifierstring · nullableRead-onlyOptional
linkedinInternalIdstring · nullableRead-onlyOptional
createdAtstring · nullableRead-onlyOptional
importedAtstring · nullableRead-onlyOptional
updatedAtstring · nullableRead-onlyOptional
archivedAtstring · nullableOptional
ownerstring · nullableOptionalExample: /users/{id}
peoplestring · iri-reference[]OptionalExample: ["/people/{id}"]
avatarUrlstring · nullableRead-onlyOptional
avatarstring · nullableWrite-onlyOptionalExample: /media_objects/{id}
tagsstring · iri-reference[]OptionalExample: ["/tags/{id}"]
segmentsstring · iri-reference[]OptionalExample: ["/segments/{id}"]
integrationParticipantsstring · iri-reference[]OptionalExample: https://example.com/
companyEnrichmentboolean · nullableRead-onlyOptional
idstring · nullableOptional
Responses
chevron-right
201

Organization resource created

Represents an organization in the CRM with name, contact details, tags, and related people.

post
/organizations

List organization notes

get

Retrieve all notes associated with a given organization.

Authorizations
Path parameters
organizationIdstringRequired

OrganizationNote identifier

Query parameters
pageintegerOptional

The collection page number

Default: 1
itemsPerPageinteger · max: 30Optional

The number of items per page

Default: 15
qstringOptional
organizationstringOptional
organization[]string[]Optional
category.idstringOptional
category.id[]string[]Optional
author.idstringOptional
author.id[]string[]Optional
flaggedbooleanOptional
order[flagged]string · enumOptionalPossible values:
order[createdAt]string · enumOptionalPossible values:
createdAt[strictly_after]stringOptional
createdAt[after]stringOptional
createdAt[strictly_before]stringOptional
createdAt[before]stringOptional
Responses
get
/organizations/{organizationId}/notes

Get an organization

get

Retrieves the details of a single organization by its ID.

Authorizations
Path parameters
idstringRequired

Organization identifier

Responses
get
/organizations/{id}

List organizations

get

Returns a filtered, paginated list of CRM organizations.

Authorizations
Query parameters
pageintegerOptional

The collection page number

Default: 1
itemsPerPageinteger · max: 30Optional

The number of items per page

Default: 15
qstringOptional
owner.idstringOptional
owner.id[]string[]Optional
emailAddresses.emailstringOptional
emailAddresses.email[]string[]Optional
tags.idstringOptional
tags.id[]string[]Optional
segments.uuidstringOptional
segments.uuid[]string[]Optional
exists[archivedAt]booleanOptional
order[title.sort]string · enumOptionalPossible values:
order[owner.lastName]string · enumOptionalPossible values:
createdAt[strictly_after]stringOptional
createdAt[after]stringOptional
createdAt[strictly_before]stringOptional
createdAt[before]stringOptional
identifiersstringOptional

Filter by identifiers (searches LinkedIn IDs, email addresses, and phone numbers)

identifiers[]stringOptional

Filter by multiple identifiers

Responses
get
/organizations

Delete organization note

delete

Removes or archives a note.

Authorizations
Path parameters
organizationIdstringRequired

OrganizationNoteResource identifier

idstringRequired

OrganizationNoteResource identifier

Responses
delete
/organizations/{organizationId}/notes/{id}

No content

Update organization note

patch

Updates selected fields of a note.

Authorizations
Path parameters
organizationIdstringRequired

OrganizationNoteResource identifier

idstringRequired

OrganizationNoteResource identifier

Body
idstring · nullableOptional
organizationIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableOptional
titlestring · nullableOptional
flaggedboolean · nullableOptional
isPrivateboolean · nullableOptional
authorstring · nullableOptionalExample: /users/{id}
categorystring · nullableOptionalExample: /note_categories/{id}
Responses
patch
/organizations/{organizationId}/notes/{id}

Replace organization note

put

Fully replaces a note record by ID.

Authorizations
Path parameters
organizationIdstringRequired

OrganizationNoteResource identifier

idstringRequired

OrganizationNoteResource identifier

Body
idstring · nullableOptional
organizationIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
titlestring · nullableOptional
flaggedboolean · nullableOptional
isPrivateboolean · nullableOptional
authorstring · nullableOptionalExample: /users/{id}
categorystring · nullableRequiredExample: /note_categories/{id}
Responses
put
/organizations/{organizationId}/notes/{id}

Retrieve organization note

get

Returns a single note belonging to an organization.

Authorizations
Path parameters
organizationIdstringRequired

OrganizationNoteResource identifier

idstringRequired

OrganizationNoteResource identifier

Responses
get
/organizations/{organizationId}/notes/{id}

Replace an organization

put

Replaces all updatable fields of the organization.

Authorizations
Path parameters
idstringRequired

Organization identifier

Body

Represents an organization in the CRM with name, contact details, tags, and related people.

descriptionstring · nullableOptional
titlestring · nullableRequired
websitestring · nullableOptional
customerIdstring · nullableOptional
externalSourcestring · nullableOptional
chamberOfCommerceNumberstring · nullableOptional
linkedinIdstring · nullableOptional
linkedinPublicIdentifierstring · nullableRead-onlyOptional
linkedinInternalIdstring · nullableRead-onlyOptional
createdAtstring · nullableRead-onlyOptional
importedAtstring · nullableRead-onlyOptional
updatedAtstring · nullableRead-onlyOptional
archivedAtstring · nullableOptional
ownerstring · nullableOptionalExample: /users/{id}
peoplestring · iri-reference[]OptionalExample: ["/people/{id}"]
avatarUrlstring · nullableRead-onlyOptional
avatarstring · nullableWrite-onlyOptionalExample: /media_objects/{id}
tagsstring · iri-reference[]OptionalExample: ["/tags/{id}"]
segmentsstring · iri-reference[]OptionalExample: ["/segments/{id}"]
integrationParticipantsstring · iri-reference[]OptionalExample: https://example.com/
companyEnrichmentboolean · nullableRead-onlyOptional
idstring · nullableOptional
Responses
put
/organizations/{id}

Create a new organization note

post

Adds a new note to the given organization.

Authorizations
Path parameters
organizationIdstringRequired

OrganizationNote identifier

Body

Represents a note related to an organization, such as comments or annotations.

idstring · nullableOptional
organizationIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
titlestring · nullableOptional
flaggedboolean · nullableOptional
isPrivateboolean · nullableOptional
authorstring · nullableOptionalExample: /users/{id}
categorystring · nullableRequiredExample: /note_categories/{id}
Responses
chevron-right
201

OrganizationNote resource created

Represents a note related to an organization, such as comments or annotations.

post
/organizations/{organizationId}/notes

Partially update an organization

patch

Updates one or more fields of the organization.

Authorizations
Path parameters
idstringRequired

Organization identifier

Body

Represents an organization in the CRM with name, contact details, tags, and related people.

descriptionstring · nullableOptional
titlestring · nullableOptional
websitestring · nullableOptional
customerIdstring · nullableOptional
externalSourcestring · nullableOptional
chamberOfCommerceNumberstring · nullableOptional
linkedinIdstring · nullableOptional
linkedinPublicIdentifierstring · nullableRead-onlyOptional
linkedinInternalIdstring · nullableRead-onlyOptional
createdAtstring · nullableRead-onlyOptional
importedAtstring · nullableRead-onlyOptional
updatedAtstring · nullableRead-onlyOptional
archivedAtstring · nullableOptional
ownerstring · nullableOptionalExample: /users/{id}
peoplestring · iri-reference[]OptionalExample: ["/people/{id}"]
avatarUrlstring · nullableRead-onlyOptional
avatarstring · nullableWrite-onlyOptionalExample: /media_objects/{id}
tagsstring · iri-reference[]OptionalExample: ["/tags/{id}"]
segmentsstring · iri-reference[]OptionalExample: ["/segments/{id}"]
integrationParticipantsstring · iri-reference[]OptionalExample: https://example.com/
companyEnrichmentboolean · nullableRead-onlyOptional
idstring · nullableOptional
Responses
patch
/organizations/{id}

Last updated